.header {
    display: flex;
    align-items: center;
    min-height: 70px;
    padding: 20px 0;

    &__nav__wrapper {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10px;

        @media screen and (min-width: 577px) {
            justify-content: space-between;
        }
    }

    &__homeIcon {
        position: relative;
        display: none;
        justify-content: center;
        align-items: center;
        width: 30px;
        height: 30px;
        cursor: pointer;

        @media screen and (min-width: 577px) {
            display: flex;
        }

        & svg path {
            fill: white;
        }
    }

    &__icon__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 20px;
    }

    &__starIcon,
    &__cartIcon {
        position: relative;
        display: none;
        justify-content: center;
        align-items: center;
        width: 24px;
        height: 24px;
        cursor: pointer;

        @media screen and (min-width: 577px) {
            display: flex;
        }
    
        &__badge {
            position: absolute;
            bottom: -15px;
            right: -15px;
            padding: 5px;
            font-size: 14px;
            line-height: 1;
            font-weight: 700;
            color: white;
        }
    
        & svg path {
            fill: white;
        }
    }
}
